%define upstream_name    LWP-Protocol-PSGI
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Override LWP's HTTP/HTTPS backend with your own PSGI applciation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Message::PSGI)
BuildRequires: perl(LWP) >= 5.0.0
BuildRequires: perl(LWP::Protocol)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
LWP::Protocol::PSGI is a module to hijack *any* code that uses the
LWP::UserAgent manpage underneath such that any HTTP or HTTPS requests can
be routed to your own PSGI application.

Because it works with any code that uses LWP, you can override various
WWW::*, Net::* or WebService::* modules such as the WWW::Mechanize manpage,
without modifying the calling code or its internals.

  use WWW::Mechanize;
  use LWP::Protocol::PSGI;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-2.mga6
+ Revision: 1029491
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.90.0-1.mga6
+ Revision: 1002000
- update to 0.09

* Sat Feb 20 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 971325
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 891411
- update to 0.08

* Sun Oct 19 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 788960
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-3.mga5
+ Revision: 744733
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-2.mga5
+ Revision: 685184
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.70.0-1.mga5
+ Revision: 624327
- update to 0.07

* Mon Oct 21 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 537257
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.60.0-1.mga4
+ Revision: 486651
- update to 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 368918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 342358
- update to 0.04

* Fri Aug 31 2012 kharec <kharec> 0.30.0-1.mga3
+ Revision: 286216
- update to 0.03

* Fri Oct 07 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 152748
- imported package perl-LWP-Protocol-PSGI


* Fri Oct 07 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
